"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.maybeSimplePrompt = exports.maybePrompt = void 0;
const inquirer = require("inquirer");
const context_1 = require("./context");
const cli_ux_1 = require("cli-ux");
const maybePrompt = async (questions, initialAnswers) => {
    const context = (0, context_1.getContext)();
    if (context.flags.interactive !== false) {
        return inquirer.prompt(questions, initialAnswers);
    }
    return {};
};
exports.maybePrompt = maybePrompt;
const maybeSimplePrompt = async (...args) => {
    const context = (0, context_1.getContext)();
    if (context.flags.interactive !== false) {
        return cli_ux_1.default.prompt(...args);
    }
    return undefined;
};
exports.maybeSimplePrompt = maybeSimplePrompt;
